Source: haskell-linear
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders:
 Joachim Breitner <nomeata@debian.org>,
 Clint Adams <clint@debian.org>,
Priority: optional
Section: haskell
Rules-Requires-Root: no
Build-Depends:
 cdbs,
 debhelper (>= 10),
 ghc (>= 8),
 ghc-prof,
 haskell-devscripts (>= 0.13),
 libghc-adjunctions-dev (<< 5),
 libghc-adjunctions-dev (>= 4),
 libghc-adjunctions-prof,
 libghc-base-orphans-dev (<< 1),
 libghc-base-orphans-dev (>= 0.5),
 libghc-base-orphans-prof,
 libghc-bytes-dev (<< 1),
 libghc-bytes-dev (>= 0.15),
 libghc-bytes-prof,
 libghc-cereal-dev (<< 0.6),
 libghc-cereal-dev (>= 0.4.1.1),
 libghc-cereal-prof,
 libghc-distributive-dev (<< 1),
 libghc-distributive-dev (>= 0.2.2),
 libghc-distributive-prof,
 libghc-hashable-dev (>= 1.1),
 libghc-hashable-dev (<< 1.4),
 libghc-hashable-prof,
 libghc-lens-dev (>= 4.15.2),
 libghc-lens-dev (<< 5),
 libghc-lens-prof,
 libghc-random-dev (>= 1.0),
 libghc-random-dev (<< 1.3),
 libghc-random-prof,
 libghc-reflection-dev (>= 1.3.2),
 libghc-reflection-dev (<< 3),
 libghc-reflection-dev (>= 1.3.2),
 libghc-reflection-prof,
 libghc-semigroupoids-dev (>= 5.2.1),
 libghc-semigroupoids-dev (<< 6),
 libghc-semigroupoids-prof,
 libghc-semigroups-dev (<< 1),
 libghc-semigroups-dev (>= 0.9),
 libghc-semigroups-prof,
 libghc-tagged-dev (<< 1),
 libghc-tagged-dev (>= 0.4.4),
 libghc-tagged-prof,
 libghc-transformers-compat-dev (<< 1),
 libghc-transformers-compat-dev (>= 0.4),
 libghc-transformers-compat-prof,
 libghc-unordered-containers-dev (<< 0.3),
 libghc-unordered-containers-dev (>= 0.2.3),
 libghc-unordered-containers-prof,
 libghc-vector-dev (>= 0.10),
 libghc-vector-dev (<< 0.13),
 libghc-vector-prof,
 libghc-void-dev (<< 1),
 libghc-void-dev (>= 0.6),
 libghc-void-prof,
Build-Depends-Indep:
 ghc-doc,
 libghc-adjunctions-doc,
 libghc-base-orphans-doc,
 libghc-bytes-doc,
 libghc-cereal-doc,
 libghc-distributive-doc,
 libghc-hashable-doc,
 libghc-lens-doc,
 libghc-random-doc,
 libghc-reflection-doc,
 libghc-semigroupoids-doc,
 libghc-semigroups-doc,
 libghc-tagged-doc,
 libghc-transformers-compat-doc,
 libghc-unordered-containers-doc,
 libghc-vector-doc,
 libghc-void-doc,
Standards-Version: 4.5.0
Homepage: https://github.com/ekmett/linear/
Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-linear
Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-linear]
X-Description: Linear Algebra
 Types and combinators for linear algebra on free vector spaces

Package: libghc-linear-dev
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Conflicts:
 ${haskell:Conflicts},
Provides:
 ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-linear-prof
Architecture: any
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Conflicts:
 ${haskell:Conflicts},
Provides:
 ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-linear-doc
Architecture: all
Section: doc
Depends:
 ${haskell:Depends},
 ${misc:Depends},
Recommends:
 ${haskell:Recommends},
Suggests:
 ${haskell:Suggests},
Conflicts:
 ${haskell:Conflicts},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}
